@charset "UTF-8";

html {
  caret-color: transparent;
}

input {
  caret-color: auto;
}

input:disabled {
  caret-color: transparent;
}

textarea {
  caret-color: auto;
}

textarea:disabled {
  caret-color: transparent;
}

/*** The new CSS Reset - version 1.0.0 (last updated 8.7.2021) ***/
/* ブラウザのUAスタイルシートのすべてのスタイルを削除します、displayは除く */
*:where(:not(th, iframe, canvas, img, svg, video):not(svg *)) {
  all: unset;
  display: revert;
}

/* box-sizingの優先値 */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* 画像がコンテナを超えないようにするため */
img {
  max-width: 100%;
}

/* 電話の無効化 */
@media (min-width: 550px) {
  a[href*="tel:"] {
    pointer-events: none;
    cursor: default;
    text-decoration: none;
  }
}

html {
  font-size: 12px;
}

* {
  line-height: 150%;
}

a:hover {
  opacity: 0.8;
}

body {
  width: 100%;
  font-family: 'メイリオ', 'Meiryo UI', '游ゴシック', YuGothic, 'Yu Gothic Medium', 'Yu Gothic', Verdana, 'ヒラギノ角ゴ ProN W3', 'Hiragino Kaku Gothic ProN', -apple-system, BlinkMacSystemFont, Roboto, 'Segoe UI', 'Helvetica Neue', HelveticaNeue, sans-serif;
  padding-bottom: 7em;
}

nav i,
.accordion-item i,
.btn i {
  text-align: center;
  width: 1.4rem;
  margin-right: 1rem;
}

header {
  width: 100%;
  height: 5rem;
  border-bottom: 3px solid var(--maincolor);
  position: fixed;
  z-index: 9999;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 0 2%;
  background-color: #fff;
}

header img {
  height: 5rem;
  cursor: pointer;
}

header .info {
  font-size: 0.8rem;
  flex-direction: column;
}

header .info .clock {
  text-align: end;
}

header .info .account {
  margin-top: 4px;
}

header .info span {
  margin-left: 10px;
  color: var(--maincolor);
}

header .info button {
  margin-left: 10px;
  padding: 2px 14px;
  border-radius: 8px;
  background-color: #ccc;
}

@media screen and (max-width: 1024px) {
  header .info {
    display: none;
  }
}

@media screen and (max-width: 550px) {
  header img {
    height: 2rem;
  }
}

/* menu */
nav {
  width: 18rem;
  top: 5rem;
  left: 0;
  bottom: 2rem;
  border-right: 1px solid #cccccc;
  position: fixed;
  z-index: 1000;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  background-color: #dddddd;
}

@media screen and (max-width: 1024px) {
  nav {
    display: none;
  }
}

nav .menu {
  justify-content: center;
  font-size: 1.2rem;
  padding: 8px 10px;
  border-bottom: 1px solid #cccccc;
  cursor: pointer;
  background-color: #eeeeee;
}

nav .menu:hover {
  background-color: #e1eeff;
}

nav .menu-accordion {
  padding: 10px;
}

nav .menu-item {
  padding: 1rem;
  border-bottom: 1px solid #cccccc;
  cursor: pointer;
  background-color: var(--palecolor);
}

nav .menu-item:hover {
  background-color: #e1eeff;
}

/* main */
main {
  position: absolute;
  top: 6rem;
  left: 19rem;
  width: calc(100% - 20rem);
  padding-bottom: 3rem;
}

@media screen and (max-width: 1024px) {
  main {
    left: 50%;
    transform: translateX(-50%);
  }
}

main h2 {
  background-color: var(--maincolor);
  border-radius: 0.25rem;
  padding: 0.5rem 1rem;
  font-size: 0.9rem;
  color: #fff;
}

main h3 {
  font-size: 1.2rem;
  margin: 1rem 0 1rem 0.2rem;
  color: var(--maincolor);
  font-weight: bold;
}

main h4 {
  font-size: 1.1rem;
  font-weight: bold;
  margin: 1rem 0;
}

main h4::before {
  font-family: 'Font Awesome 5 Free';
  content: '\f0c8';
  font-weight: bold;
  color: var(--maincolor);
  margin-right: 0.5rem;
}

footer {
  width: 100%;
  height: 2rem;
  bottom: 0;
  border-top: 1px solid #ddd;
  position: fixed;
  z-index: 9999;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 0.7rem 3% 0;
  font-size: 0.8rem;
  color: #cccccc;
  background-color: #fff;
}

@media screen and (max-width: 1024px) {
  footer {
    flex-direction: column;
    text-align: center;
    padding: 0;
  }
}

@media screen and (max-width: 550px) {
  footer {
    font-size: 0.7rem;
  }
}

.not-required::after,
.required::after {
  content: '必須';
  background: #f4a460;
  border-radius: 0.25rem;
  padding: 0.1rem 0.5rem;
  margin: 0 0.5rem;
  color: white;
  font-size: 0.8rem;
  font-weight: normal;
  position: relative;
  top: -1px;
  white-space: nowrap;
}

.not-required::before {
  content: '任意';
  background: #999;
}

.form-group-customize {
  display: flex;
  border-bottom: 0.1px solid #eeeeee;
  height: 2.8rem;
  padding: 0.5rem 0 0.4rem;
}

.form-group-customize-stretch {
  display: flex;
  border-bottom: 0.1px solid #eeeeee;
  min-height: 2.8rem;
  padding: 0.5rem 0 0.4rem;
}

.form-label-customize {
  margin: 0.2rem 0 0 1rem;
  font-weight: bold;
}

.remarks {
  color: #b2b2b2;
  font-size: 0.8rem;
  margin-left: 1rem;
}

.btn {
  padding: 6px 20px;
  min-width: 6rem;
  border: 0;
}

.btn-primary {
  background-color: var(--maincolor);
}

.btn-primary:hover {
  color: var(--maincolor);
  background-color: var(--subcolor);
}

/* login */
#login {
  margin: auto;
  width: 500px;
}

@media screen and (max-width: 1024px) {
  #login {
    width: 80%;
  }
}

#login img {
  margin: auto;
  width: 80%;
  cursor: pointer;
}

#login .group {
  display: flex;
  flex-direction: row;
  margin: 10px 5px;
}

@media screen and (max-width: 550px) {
  #login .group {
    flex-direction: column;
  }
}

#login label {
  width: 35%;
  margin: auto;
}

#login input {
  width: 65%;
  margin: auto;
}

#login .button {
  display: flex;
  justify-content: center;
}

#login button {
  width: 90%;
}

a {
  cursor: pointer;
}

/* dashboard */
.card_home {
  position: relative;
  width: 20rem;
  margin: 2rem 1rem;
  border: solid 1px var(--maincolor);
}

.card_home a {
  text-decoration: none;
}

.card_home .card_home_header {
  padding: 1rem;
  background-color: var(--subcolor);
  color: var(--maincolor);
}

.card_home .card_home_body {
  color: var(--maincolor);
}

.card_home .card_home_icon {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 2rem;
}

.card_home .card_home_count {
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
  font-size: 2rem;
  font-weight: bold;
}

.card_home .card_home_unit {
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
  font-size: 1rem;
  font-weight: bold;
  white-space: nowrap;
}

.card_home .card_home_title {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  font-size: 1rem;
  font-weight: bold;
}

.card_home .card_home_danger {
  position: absolute;
  bottom: -2.5rem;
}

.card_home:hover .card_home_header {
  color: var(--palecolor);
  background-color: var(--maincolor);
  transition: 0.2s;
}

.card_home:hover .card_home_body {
  background-color: var(--palecolor);
  transition: 0.2s;
}

#name-box-parent {
  position: relative;
}

#name-box {
  position: absolute;
  display: none;
  top: 2.6rem;
  min-width: 20rem;
  min-height: 2.6rem;
  background-color: #eee;
  box-shadow: 6px 6px 10px 0px rgba(0, 0, 0, 0.4);
  border-radius: 0.5rem;
  padding: 0.5rem 1rem;
}

.user-name-li {
  border-bottom: solid 1px #ddd;
  width: 100%;
  cursor: pointer;
  margin: 0.2rem 0;
  padding: 3px 0.5rem;
  list-style-type: none;
}

.table {
  --bs-table-striped-bg: #ffffff;
}

.table-striped tbody tr:nth-child(even) {
  background-color: var(--subcolor);
}

.bg-primary {
  background-color: var(--maincolor) !important;
}

main .accordion-button {
  font-weight: bold;
}

.ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.table-fixed {
  table-layout: fixed;
  width: 100%;
}

#site-name {
  position: absolute;
  top: 18px;
  left: 228px;
  font-size: 1.5rem;
  color: var(--maincolor);
  border: 2px solid var(--maincolor);
  border-radius: 5px;
  padding: 0.2rem 1rem 0.05rem;
  background-color: var(--subcolor);
  font-weight: bold;
}

.thumbnail-list {
  width: 65px;
  height: 65px;
  object-fit: cover;
  object-position: center;
  border-radius: 0.3rem;
}

.thumbnail-select {
  width: 100px;
  height: 100px;
  object-fit: cover;
  object-position: center;
  border-radius: 0.4rem;
  cursor: pointer;
}

.thumbnail-detail {
  width: 200px;
  height: 200px;
  object-fit: contain;
  object-position: center;
  background-color: #f0f0f0;
  border-radius: 0.4rem;
}

#main-image {
  width: 400px;
  height: 400px;
  object-fit: contain;
  object-position: center;
  background-color: #f0f0f0;
  border-radius: 0.4rem;
}

#modal-mask {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  background-color: #000000;
  opacity: 0.6;
  width: 100%;
  height: 100%;
  z-index: 10000;
}

.modal-close {
  position: absolute;
  top: 10px;
  right: 10px;
  border: none;
  background-color: #666666;
  color: #eeeeee;
  opacity: 0.8;
  width: 3.5rem;
  height: 3.5rem;
  border-radius: 3.5rem;
  font-size: 2rem;
  text-align: center;
  align-items: center;
}

.modal-close:hover {
  background-color: #333333;
  opacity: 1;
  transition: all 0.2s ease;
}

.modal-goods {
  display: none;
  position: fixed;
  overflow-y: auto;
  top: 20%;
  left: 50%;
  width: 75%;
  max-height: 90%;
  transform: translate(-50%, -20%);
  z-index: 10000;
  padding: 2rem 3rem;
  border-radius: 0.4rem;
  background-color: var(--palecolor);
}